package com.fjs.scenic.service.user;

import com.fjs.scenic.entity.user.StatisticalPermissions;
import com.fjs.scenic.entity.user.UserStatistical;
import com.fjs.scenic.service.common.BaseService;

import java.util.HashMap;
import java.util.List;

/**
 * This class is used for ...
 *
 * @author qufei
 * @version 1.0
 * @CreateDate ${date} ${time}
 */
public interface UserStatisticalService {

    int allocationPermission(Integer userID,List<UserStatistical> list);

    boolean verifySecretKey(Integer userID,String secretKey);

    List<HashMap<String,Object>> page(UserStatistical record);

    Boolean validUserId(Integer userID);

    int delByOpenid(String openid);

     List<UserStatistical> selectByUserId(Integer userID);

    Boolean verifyPermission(Integer userId, Integer pressId);

    int deleteByUserId(Integer userId);

    boolean updateSecretKeyByUserId(Integer userId, String newKey);
}
